/virtual-accounts

Create a virtual account number

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Schema:

{
    "status": boolean,
    "message": string,
    "data": {
        "id": string,
        "accountReference": string,
        "bankAccount": {
            "accountName": string,
            "accountNumber": string,
            "bank": {
                "code": string,
                "name": string
            }
        },
        "type": "Static Virtual Account" | "Dynamic Virtual Account",
        "status": "active" | "expired" | "blacklisted" | "deleted",
        "createdAt": date-time,
        "expiresAt": date-time | null,
        "currency": string,
        "meta": {
            "isStatic": boolean,
            "bvn": string|null,
            "transactionReference": string|null,
            "amount": string|null,
            "minAmount": string|null
        }
    }
}
Body Params
string

This allows you specify the name shown when the account is resolved

boolean
Defaults to false

Optional. This allows you create an account number that doesn't expire

string

Optional. This is a transaction reference that would be returned each time a transfer is done to the account. Only -, ., _ and alphanumeric characters allowed.

float

Optional. The desired amount to be collected. If this amount does not match any amount received into the account, the transfer will be rejected. Only for dynamic virtual accounts. Use either amount or minAmount, not both.

float

Optional. The desired minimum amount to be collected. If this amount is less than any amount received into the account, the transfer will be rejected. Only for dynamic virtual accounts. Use either amount or minAmount, not both.

string

This is only required for static accounts. It should be BVN number tied to the user the account number is being generated for.

boolean
Defaults to false

Optional. For static accounts. If set to true, a new account will be created. Else, the existing account (if any) will be returned.
Restricted feature

Response

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json